<script setup lang="ts">
import Dialog from "primevue/dialog";

const props = defineProps<{
  visible: Boolean,
  onShow?: Function,
  onHide?: Function,
  title: String
}>()
</script>

<template>
  <Dialog
      :visible="visible"
      @update:visible="(isVisible: Boolean) => isVisible ? (onShow ? onShow() : null) : (onHide ? onHide() : null)"
      closeOnEscape
      modal
      :header="title"
      :style="{ maxWidth: '50rem', height: '80vh', position: 'relative' }"
      contentClass="h-full"
  >
    <template #default>
      <slot/>
    </template>
    <template #footer>
      <slot name="footer"/>
    </template>
  </Dialog>
</template>